Home

REST api to TON blockchain explorer

v2.0.0

Contact: [email protected]

Base URL
https://ton-open-api.nownodes.io

Provide access to indexed TON blockchain

Authentication

api-keyAuthapiKey

API Key: api-key in header

REST api to TON blockchain explorer

API V2 Reference

GET
https://ton-open-api.nownodes.io/v2/status

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Status

Response

200OK

status

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/blocks/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get blockchain block data

Parameters

block_idstringrequiredpath

block ID

Response

200OK

blockchain block

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/shards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get blockchain block shards

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain block shards

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/blocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all blocks in all shards and workchains between target and previous masterchain block according to shards last blocks snapshot in masterchain. We don't recommend to build your app around this method because it has problem with scalability and will work very slow in the future.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain blocks

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all transactions in all shards and workchains between target and previous masterchain block according to shards last blocks snapshot in masterchain. We don't recommend to build your app around this method because it has problem with scalability and will work very slow in the future.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain transactions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/config

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get blockchain config from a specific block, if present.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain config

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain/{masterchain_seqno}/config/raw

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw blockchain config from a specific block, if present.

Parameters

masterchain_seqnointeger<int32>requiredpath

masterchain block seqno

Response

200OK

blockchain config

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/blocks/{block_id}/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions from block

Parameters

block_idstringrequiredpath

block ID

Response

200OK

blockchain block transactions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/transactions/{transaction_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transaction data

Parameters

transaction_idstringrequiredpath

transaction ID

Response

200OK

blockchain transaction

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/messages/{msg_id}/transaction

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transaction data by message hash

Parameters

msg_idstringrequiredpath

message ID

Response

200OK

transaction by message hash

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get blockchain validators

Response

200OK

blockchain validators

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/masterchain-head

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get last known masterchain block

Response

200OK

blockchain masterchain head

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/accounts/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get low-level information about an account taken directly from the blockchain.

Parameters

account_idstringrequiredpath

account ID

Response

200OK

raw account

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/accounts/{account_id}/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get account transactions

Parameters

account_idstringrequiredpath

account ID

after_ltinteger<int64>query

omit this parameter to get last transactions

before_ltinteger<int64>query

omit this parameter to get last transactions

limitinteger<int32>[1, 1000]100query

Response

200OK

blockchain account transactions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/accounts/{account_id}/methods/{method_name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Execute get method for account

Parameters

account_idstringrequiredpath

account ID

method_namestringrequiredpath

contract get method name

argsArray<string>query

Response

200OK

method execution result

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/blockchain/message

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Send message to blockchain

Body

application/json

both a single boc and a batch of boc serialized in base64 are accepted

bocstring
batchArray<string>

Response

200OK

the message has been sent

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/config

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get blockchain config

Response

200OK

blockchain config

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/config/raw

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw blockchain config

Response

200OK

blockchain config

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/blockchain/accounts/{account_id}/inspect

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Blockchain account inspect

Parameters

account_idstringrequiredpath

account ID

Response

200OK

blockchain account inspect

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/message/decode

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Decode a given message. Only external incoming messages can be decoded currently.

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Response

200OK

decoded message

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/address/{account_id}/parse

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

parse address and display in all formats

Parameters

account_idstringrequiredpath

account ID

Response

200OK

all forms and info

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/events/emulate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Parameters

Accept-Languagestringenheader
ignore_signature_checkbooleanquery

Response

200OK

emulated event

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/traces/emulate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Parameters

ignore_signature_checkbooleanquery

Response

200OK

emulated trace

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/wallet/emulate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64 and additional parameters to configure emulation

bocstringrequired
paramsArray<object>

additional per account configuration

Show child attributes
addressstringrequired
balanceinteger<int64>

Parameters

Accept-Languagestringenheader

Response

200OK

emulated message

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/events/emulate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Emulate sending message to blockchain

Body

application/json

bag-of-cells serialized to base64

bocstringrequired

Parameters

Accept-Languagestringenheader
account_idstringrequiredpath

account ID

ignore_signature_checkbooleanquery

Response

200OK

emulated message to account

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/accounts/_bulk

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get human-friendly information about several accounts without low-level details.

Body

application/json

a list of account ids

account_idsArray<string>required

Response

200OK

a list of accounts

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get human-friendly information about an account without low-level details.

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/dns/backresolve

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get account's domains

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's domains

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/jettons

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all Jettons balances by owner address

Parameters

account_idstringrequiredpath

account ID

currenciesArray<string>query

accept ton and all possible fiat currencies, separated by commas

Response

200OK

account jettons balances

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/jettons/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the transfer jettons history for account

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account jettons history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/jettons/{jetton_id}/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the transfer jetton history for account and jetton

Parameters

account_idstringrequiredpath

account ID

jetton_idstringrequiredpath

jetton ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account jetton history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/nfts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all NFT items by owner address

Parameters

account_idstringrequiredpath

account ID

collectionstringquery

nft collection

limitinteger[1, 1000]1000query
offsetinteger>= 00query
indirect_ownershipbooleanfalsequery

Selling nft items in ton implemented usually via transfer items to special selling account. This option enables including items which owned not directly.

Response

200OK

account nft items

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/nfts/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the transfer nft history

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

nft history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/events

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get events for an account. Each event is built on top of a trace which is a series of transactions caused by one inbound message. TonAPI looks for known patterns inside the trace and splits the trace into actions, where a single action represents a meaningful high-level operation like a Jetton Transfer or an NFT Purchase. Actions are expected to be shown to users. It is advised not to build any logic on top of actions because actions can be changed at any time.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
initiatorbooleanfalsequery

Show only events that are initiated by this account

subject_onlybooleanfalsequery

filter actions where requested account is not real subject (for example sender or receiver jettons)

before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 100]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account's events

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/events/{event_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get event for an account by event_id

Parameters

account_idstringrequiredpath

account ID

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader
subject_onlybooleanfalsequery

filter actions where requested account is not real subject (for example sender or receiver jettons)

Response

200OK

account's event

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/traces

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get traces for account

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]100query

Response

200OK

account's traces

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/subscriptions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all subscriptions by wallet address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's subscriptions

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/reindex

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Update internal cache for a particular account

Parameters

account_idstringrequiredpath

account ID

Response

200OK

success

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/search

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Search by account domain name

Parameters

namestringrequiredquery

Response

200OK

found accounts

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/dns/expiring

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get expiring account .ton dns

Parameters

account_idstringrequiredpath

account ID

periodinteger[1, 3660]query

number of days before expiration

Response

200OK

account's expiring .ton dns

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/publickey

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get public key by account id

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's public key

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/diff

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get account's balance change

Parameters

account_idstringrequiredpath

account ID

start_dateinteger<int64>requiredquery
end_dateinteger<int64>requiredquery

Response

200OK

account's balance change

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/dns/{domain_name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get full information about domain name

Parameters

domain_namestringrequiredpath

domain name with .ton or .t.me

Response

200OK

domain info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/dns/{domain_name}/resolve

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

DNS resolve for domain name

Parameters

domain_namestringrequiredpath

domain name with .ton or .t.me

Response

200OK

dns record

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/dns/{domain_name}/bids

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get domain bids

Parameters

domain_namestringrequiredpath

domain name with .ton or .t.me

Response

200OK

domain bids

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/dns/auctions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all auctions

Parameters

tldstringquery

domain filter for current auctions "ton" or "t.me"

Response

200OK

auctions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/nfts/collections

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT collections

Parameters

limitinteger<int32>[1, 1000]100query
offsetinteger<int32>>= 00query

Response

200OK

nft collections

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/nfts/collections/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT collection by collection address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

nft collection

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/nfts/collections/{account_id}/items

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT items from collection by collection address

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]1000query
offsetinteger>= 00query

Response

200OK

nft items

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/nfts/_bulk

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT items by their addresses

Body

application/json

a list of account ids

account_idsArray<string>required

Response

200OK

nft items

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/nfts/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get NFT item by its address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

nft item

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/nfts/{account_id}/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the transfer nfts history for account

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

nft history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/traces/{trace_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the trace by trace ID or hash of any transaction in trace

Parameters

trace_idstringrequiredpath

trace ID or transaction hash in hex (without 0x) or base64url format

Response

200OK

trace

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/events/{event_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get an event either by event ID or a hash of any transaction in a trace. An event is built on top of a trace which is a series of transactions caused by one inbound message. TonAPI looks for known patterns inside the trace and splits the trace into actions, where a single action represents a meaningful high-level operation like a Jetton Transfer or an NFT Purchase. Actions are expected to be shown to users. It is advised not to build any logic on top of actions because actions can be changed at any time.

Parameters

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader

Response

200OK

event

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/experimental/accounts/{account_id}/inscriptions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all inscriptions by owner address. It's experimental API and can be dropped in the future.

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]1000query
offsetinteger>= 00query

Response

200OK

account inscriptions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/experimental/accounts/{account_id}/inscriptions/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the transfer inscriptions history for account. It's experimental API and can be dropped in the future.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]100query

Response

200OK

account inscriptions history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/experimental/accounts/{account_id}/inscriptions/{ticker}/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the transfer inscriptions history for account. It's experimental API and can be dropped in the future.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
tickerstringrequiredpath
before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 1000]100query

Response

200OK

account inscriptions history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/experimental/inscriptions/op-template

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

return comment for making operation with inscription. please don't use it if you don't know what you are doing

Parameters

typestrington20gram20requiredquery
destinationstringquery
commentstringquery
operationstringtransferrequiredquery
amountstringrequiredquery
tickerstringrequiredquery
whostringrequiredquery

Response

200OK

inscription op template

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/jettons

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get a list of all indexed jetton masters in the blockchain.

Parameters

limitinteger<int32>[1, 1000]100query
offsetinteger<int32>>= 00query

Response

200OK

a list of jettons

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/jettons/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get jetton metadata by jetton master address

Parameters

account_idstringrequiredpath

account ID

Response

200OK

jetton info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/jettons/{account_id}/holders

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get jetton's holders

Parameters

account_idstringrequiredpath

account ID

limitinteger[1, 1000]1000query
offsetinteger>= 00query

Response

200OK

jetton's holders

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/events/{event_id}/jettons

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get only jetton transfers in the event

Parameters

event_idstringrequiredpath

event ID or transaction hash in hex (without 0x) or base64url format

Accept-Languagestringenheader

Response

200OK

events

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/staking/nominator/{account_id}/pools

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

All pools where account participates

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account's pools

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/staking/pool/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Stacking pool info

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader

Response

200OK

stacking pool info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/staking/pool/{account_id}/history

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Pool history

Parameters

account_idstringrequiredpath

account ID

Response

200OK

pool history

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/staking/pools

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

All pools available in network

Parameters

available_forstringquery

account ID

include_unverifiedbooleanquery

return also pools not from white list - just compatible by interfaces (maybe dangerous!)

Accept-Languagestringenheader

Response

200OK

a list of pools

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/storage/providers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get TON storage providers deployed to the blockchain.

Response

200OK

a list of storage providers

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/rates

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the token price to the currency

Parameters

tokensArray<string>requiredquery

accept ton and jetton master addresses, separated by commas

currenciesArray<string>requiredquery

accept ton and all possible fiat currencies, separated by commas

Response

200OK

tokens rates

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/rates/chart

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get chart by token

Parameters

tokenstringrequiredquery

accept jetton master address

currencystringquery
start_dateinteger<int64>query
end_dateinteger<int64>query
points_countinteger<int>[0, 200]200query

Response

200OK

token chart

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/rates/markets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get the TON price from markets

Response

200OK

markets rates

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/tonconnect/payload

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get a payload for further token receipt

Response

200OK

payload

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/tonconnect/stateinit

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get account info by state init

Body

application/json

Data that is expected

state_initstringrequired

Response

200OK

account info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/wallet/backup

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get backup info

Parameters

X-TonConnect-Authstringrequiredheader

Response

200OK

get wallet dump

default

Some error during request processing

PUT
https://ton-open-api.nownodes.io/v2/wallet/backup

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Set backup info

Body

application/octet-stream

Information for saving backup

string<binary>

Parameters

X-TonConnect-Authstringrequiredheader

Response

200OK

success

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/wallet/auth/proof

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Account verification and token issuance

Body

application/json

Data that is expected from TON Connect

addressstringrequired
proofobjectrequired
Show child attributes
timestampinteger<int64>required
domainobjectrequired
Show child attributes
length_bytesinteger<int32>
valuestringrequired
signaturestringrequired
payloadstringrequired
state_initstring

Response

200OK

auth token

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/pubkeys/{public_key}/wallets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get wallets by public key

Parameters

public_keystringrequiredpath

Response

200OK

a list of wallets

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/wallet/{account_id}/seqno

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get account seqno

Parameters

account_idstringrequiredpath

account ID

Response

200OK

account seqno

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_masterchain_info

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw masterchain info

Response

200OK

raw masterchain info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_masterchain_info_ext

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw masterchain info ext

Parameters

modeinteger<int32>requiredquery

mode

Response

200OK

raw masterchain info ext

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_time

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw time

Response

200OK

raw time

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_block/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw blockchain block

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw blockchain block

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_state/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw blockchain block state

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw blockchain block state

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_block_header/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw blockchain block header

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

Response

200OK

raw blockchain block header

default

Some error during request processing

POST
https://ton-open-api.nownodes.io/v2/liteserver/send_message

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Send raw message to blockchain

Body

application/json

Data that is expected

bodystringrequired

Response

200OK

code

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_account_state/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw account state

Parameters

account_idstringrequiredpath

account ID

target_blockstringquery

target block: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw account state

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_shard_info/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw shard info

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

workchaininteger<int32>requiredquery

workchain

shardinteger<int64>requiredquery

shard

exactbooleanrequiredquery

exact

Response

200OK

raw shard info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_all_shards_info/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get all raw shards info

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

all raw shards info

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_transactions/{account_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw transactions

Parameters

account_idstringrequiredpath

account ID

countinteger<int32>requiredquery

count

ltinteger<int64>requiredquery

lt

hashstringrequiredquery

hash

Response

200OK

raw transactions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/list_block_transactions/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw list block transactions

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

countinteger<int32>requiredquery

count

account_idstringquery

account ID

ltinteger<int64>query

lt

Response

200OK

a list of raw block transactions

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_block_proof

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw block proof

Parameters

known_blockstringrequiredquery

known block: (workchain,shard,seqno,root_hash,file_hash)

target_blockstringquery

target block: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

Response

200OK

raw block proof

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_config_all/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw config

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

modeinteger<int32>requiredquery

mode

Response

200OK

raw config

default

Some error during request processing

GET
https://ton-open-api.nownodes.io/v2/liteserver/get_shard_block_proof/{block_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get raw shard block proof

Parameters

block_idstringrequiredpath

block ID: (workchain,shard,seqno,root_hash,file_hash)

Response

200OK

raw shard block proof

default

Some error during request processing